.hidden-menu {
    display: block;
    position: relative;
    list-style:none;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    width: 100%;
    background-color: #333333;
    color: #ffffff;
    height: 100%;
    top: 0;
    left: -2000px;
    transition: left .2s;
    z-index: 2000000;
    -webkit-transform: translateZ(0);
    -webkit-backface-visibility: hidden;
}

.hidden-menu-ticker {
    display: none;
}

.btn-menu {
    color: #fff;
    /*background-color: #333333;*/
    /*padding: 7px;*/
    position: relative;
    top: 5px;
    left: 5px;
    cursor: pointer;
    transition: left .23s;
    z-index: 3;
    width: 30px;
    -webkit-transform: translateZ(0);
    -webkit-backface-visibility: hidden;
}
.btn-menu span {
    display: block;
    height: 3px;
    background-color: #fff;
    margin: 5px 0 0;
    transition: all .1s linear .23s;
    position: relative;
    z-index: 2000000;
}
.btn-menu span.first {
    margin-top: 0;
}

.hidden-menu-ticker:checked ~ .btn-menu {
    left: 90%;
}
.hidden-menu-ticker:checked ~ .hidden-menu {
    left: 0;
}
.hidden-menu-ticker:checked ~ .btn-menu span.first {
    -webkit-transform: rotate(45deg);
    top: 8px;

}
.hidden-menu-ticker:checked ~ .btn-menu span.second {
    opacity: 0;
}
.hidden-menu-ticker:checked ~ .btn-menu span.third {
    -webkit-transform: rotate(-45deg);
    top: -8px;
}